## cheesecutter 2.9+git20181112

=== Makefile ===
# make install DESTDIR=/home/yamo/devel/cc2/snap/parts/ccutter/install

LIBS=-L-ldl -L-lstdc++
COMFLAGS=-O2
VERSION=$(shell cat Version)
DFLAGS=$(COMFLAGS) -I./src -J./src/c64 -J./src/font
CFLAGS=$(COMFLAGS)
CXXFLAGS=$(COMFLAGS) -I./src 
COMPILE.d = $(DC) $(DFLAGS) -c
DC=ldc2
EXE=
TARGET=ccutter
OBJ_EXT=.o

include Makefile.objects.mk

.PHONY: install release dist clean dclean tar

all: ct2util ccutter

ccutter:$(C64OBJS) $(OBJS) $(CXX_OBJS)
	$(DC) $(COMFLAGS) -of=$@ $(OBJS) $(CXX_OBJS) $(LIBS)


.cpp.o : $(CXX_SRCS)
	$(CXX) $(CXXFLAGS) -c $< -o $@

.c.o : $(C_SRCS)
	$(CC) -c $< -o $@

ct: $(C64OBJS) $(CTOBJS)

ct2util: $(C64OBJS) $(UTILOBJS)
	$(DC) $(COMFLAGS) -of=$@ $(UTILOBJS)

c64: $(C64OBJS)

install: all
	strip ccutter$(EXE)
	strip ct2util$(EXE)
	cp ccutter$(EXE) $(DESTDIR)
	cp ct2util$(EXE) $(DESTDIR)
	mkdir $(DESTDIR)/example_tunes
	cp -r tunes/* $(DESTDIR)/example_tunes

# release version with additional optimizations
release: DFLAGS += -frelease -fno-bounds-check
release: all
	strip ccutter$(EXE)
	strip ct2util$(EXE)

# tarred release
dist:	release
	tar --transform 's,^\.,cheesecutter-$(VERSION),' -cvf cheesecutter-$(VERSION)-linux-x86.tar.gz $(DIST_FILES)

clean: 
	rm -f *.o *~ resid/*.o resid-fp/*.o ccutter ct2util \
		$(C64OBJS) $(OBJS) $(CTOBJS) $(CXX_OBJS) $(UTILOBJS) $(C_OBJS)

dclean: clean
	rm -f cheesecutter-$(VERSION)-linux-x86.tar.gz

# tarred source from master
tar:
	git archive master --prefix=cheesecutter-$(VERSION)/ | bzip2 > cheesecutter-$(VERSION)-src.tar.bz2
# --------------------------------------------------------------------------------

src/c64/player.bin: src/c64/player_v4.acme
	acme -f cbm --outfile $@ $<

src/ct/base.o: src/c64/player.bin
src/ui/ui.o: src/ui/help.o

%.o: %.d
	$(COMPILE.d) -of=$@ $<

## cheesecutter 2.9%2Bgit20181112

=== debian/changelog ===
cheesecutter (2.9+git20181112-2) unstable; urgency=medium

  * debian/copyright: add missing author.
  * debian/control: add to multimedia team.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 06 Dec 2018 09:29:19 +0100

cheesecutter (2.9+git20181112-1) unstable; urgency=medium

  * Initial release. (Closes: #913707)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 12 Nov 2018 08:42:27 +0100

=== debian/control ===
Source: cheesecutter
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 11), acme, gdc, libsdl1.2-dev
Standards-Version: 4.2.1
Homepage: http://theyamo.kapsi.fi/ccutter

Package: cheesecutter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SID music editor
 This is a tracker program for composing music for the SID chip. It uses the
 reSID engine for SID emulation. The packed files can be played on a real C64.

## cheesecutter 2.9%2Bgit20191210

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: cheesecutter
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>= 11), acme, gdc, libsdl1.2-dev
-Standards-Version: 4.2.1
+Build-Depends: debhelper (>= 11), acme, gdc-9, libsdl1.2-dev
+Standards-Version: 4.4.1
+Vcs-Git: https://salsa.debian.org/multimedia-team/cheesecutter.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/cheesecutter
 Homepage: http://theyamo.kapsi.fi/ccutter
 
 Package: cheesecutter

## cheesecutter 2.9%2Bgit20211011

=== debian/changelog ===
cheesecutter (2.9+git20211011-3build2) questing; urgency=medium

  * No-change rebuild for libgphoos soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 31 Aug 2025 16:10:08 +0200

cheesecutter (2.9+git20211011-3build1) oracular; urgency=medium

  * No-change rebuild for libgphobos soname change

 -- Matthias Klose <doko@debian.org>  Tue, 30 Jul 2024 11:12:21 +0200

cheesecutter (2.9+git20211011-3) unstable; urgency=medium

  * Bump standards version to 4.7.0.

 -- Alex Myczko <tar@debian.org>  Tue, 16 Jul 2024 14:19:49 +0000

cheesecutter (2.9+git20211011-2) unstable; urgency=medium

  * Update maintainer address.
  * d/rules: Disable LTO. (Closes: #1015366)

 -- Gürkan Myczko <tar@debian.org>  Sun, 14 Aug 2022 20:49:42 +0200

cheesecutter (2.9+git20211011-1) unstable; urgency=medium

  * New upstream version. (Closes: #984009, #994561)
  * Bump standards version to 4.6.0.
  * d/upstream/metadata: added.
  * d/control: added Rules-Requires-Root.
  * d/copyright:
    - update copyright years.
    - added Upstream-Contact.
    - pdate file patterns.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 11 Oct 2021 08:56:15 +0200

cheesecutter (2.9+git20191210-2) unstable; urgency=medium

  * Don't depend on a specific gdc version. Thanks Matthias Klose.
    (Closes: #966248)
  * Bump debhelper version to 13.
  * Bump standards version to 4.5.0.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sun, 04 Oct 2020 19:02:29 +0200

cheesecutter (2.9+git20191210-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 10 Dec 2019 09:21:52 +0100

cheesecutter (2.9+git20190611-2) unstable; urgency=medium

  * Add Vcs fields.
  * Bump standards version to 4.4.1.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 11 Nov 2019 12:22:35 +0100

cheesecutter (2.9+git20190611-1) unstable; urgency=medium

  * New upstream version. (Closes: #925651)
  * debian/control: build-depend on gdc-9.
  * debian/patches: drop a few patches.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 11 Jul 2019 11:38:28 +0200

## cheesecutter 2.9+git20181112

=== debian/control ===
Source: cheesecutter
Section: sound
Priority: optional
Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 11), acme, gdc, libsdl1.2-dev
Standards-Version: 4.2.1
Homepage: http://theyamo.kapsi.fi/ccutter

Package: cheesecutter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SID music editor
 This is a tracker program for composing music for the SID chip. It uses the
 reSID engine for SID emulation. The packed files can be played on a real C64.

## cheesecutter 2.9+git20190611

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,13 @@
 # make install DESTDIR=/home/yamo/devel/cc2/snap/parts/ccutter/install
 
-LIBS=-L-ldl -L-lstdc++
-COMFLAGS=-O2
+LIBS=-ldl -lstdc++
+COMFLAGS=-O2 -g
 VERSION=$(shell cat Version)
-DFLAGS=$(COMFLAGS) -I./src -J./src/c64 -J./src/font
-CFLAGS=$(COMFLAGS)
-CXXFLAGS=$(COMFLAGS) -I./src 
+DFLAGS=$(COMFLAGS) $(LDFLAGS) -I./src -J./src/c64 -J./src/font
+CFLAGS:=$(COMFLAGS) $(CFLAGS)
+CXXFLAGS=$(COMFLAGS) $(CPPFLAGS) -I./src 
 COMPILE.d = $(DC) $(DFLAGS) -c
-DC=ldc2
+DC=gdc
 EXE=
 TARGET=ccutter
 OBJ_EXT=.o
@@ -19,7 +19,7 @@
 all: ct2util ccutter
 
 ccutter:$(C64OBJS) $(OBJS) $(CXX_OBJS)
-	$(DC) $(COMFLAGS) -of=$@ $(OBJS) $(CXX_OBJS) $(LIBS)
+	$(DC) $(COMFLAGS) -o $@ $(OBJS) $(CXX_OBJS) $(LIBS)
 
 
 .cpp.o : $(CXX_SRCS)
@@ -31,7 +31,7 @@
 ct: $(C64OBJS) $(CTOBJS)
 
 ct2util: $(C64OBJS) $(UTILOBJS)
-	$(DC) $(COMFLAGS) -of=$@ $(UTILOBJS)
+	$(DC) $(COMFLAGS) -o $@ $(UTILOBJS)
 
 c64: $(C64OBJS)
 
@@ -72,7 +72,7 @@
 src/ui/ui.o: src/ui/help.o
 
 %.o: %.d
-	$(COMPILE.d) -of=$@ $<
+	$(COMPILE.d) -o $@ $<

=== debian/changelog ===
cheesecutter (2.9+git20190611-1build1) eoan; urgency=medium

  * No-change rebuild for libgphobos symbol changes.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 01 Sep 2019 04:23:33 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: cheesecutter
 Section: sound
 Priority: optional
-Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>= 11), acme, gdc, libsdl1.2-dev
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
+Build-Depends: debhelper (>= 11), acme, gdc-9, libsdl1.2-dev
 Standards-Version: 4.2.1
 Homepage: http://theyamo.kapsi.fi/ccutter

## cheesecutter 2.9+git20191210

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: cheesecutter
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>= 11), acme, gdc-9, libsdl1.2-dev
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 13), acme, gdc, libsdl1.2-dev
+Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/multimedia-team/cheesecutter.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/cheesecutter
 Homepage: http://theyamo.kapsi.fi/ccutter
 
 Package: cheesecutter

## cheesecutter 2.9+git20211011

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: sound
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
+Uploaders: Gürkan Myczko <tar@debian.org>
 Build-Depends: debhelper-compat (= 13), acme, gdc, libsdl1.2-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/multimedia-team/cheesecutter.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/cheesecutter
+Rules-Requires-Root: no
 Homepage: http://theyamo.kapsi.fi/ccutter
 
 Package: cheesecutter

=== debian/watch ===
version=4
# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/theyamo/CheeseCutter/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
